Page MenuHomePhabricator

[ubsan] fix vptr test on ARM
ClosedPublic

Authored by garious on May 13 2014, 7:12 PM.

Details

Summary

Fixed vptr test. With this patch, all ubsan tests pass on qemu-arm.

Diff Detail

Repository
rL LLVM

Event Timeline

garious updated this revision to Diff 9370.May 13 2014, 7:12 PM
garious retitled this revision from to [ubsan] fix vptr test on ARM.
garious updated this object.
garious edited the test plan for this revision. (Show Details)
garious added reviewers: rsmith, samsonov.
garious added a subscriber: Unknown Object (MLST).
garious updated this revision to Diff 9371.May 13 2014, 7:20 PM
rsmith edited edge metadata.May 13 2014, 7:37 PM

I see, the problem is that we're accidentally relying on the stack buffer 'Buffer' being 8-byte aligned.

test/ubsan/TestCases/TypeCheck/vptr.cpp
89 ↗(On Diff #9371)

Please add an optional extra space between the two groups of 0s rather than making the second group optional.

You don't need the parens around the optional spaces.

garious updated this revision to Diff 9452.May 15 2014, 12:44 PM
garious edited edge metadata.

cleanup per Richard's feedback

garious closed this revision.May 20 2014, 3:15 PM
garious updated this revision to Diff 9643.

Closed by commit rL209249 (authored by @garious).